Skip to main content
POST
/
core
/
companies
/
{company_id}
/
bill_credit_notes
Create Bill Credit Note
curl --request POST \
  --url https://api.integrations.commenda.io/v4/core/companies/{company_id}/bill_credit_notes \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "data": {
    "contact_id": "123456",
    "document_number": "123456",
    "total_amount": 1000,
    "remaining_credit": 1000,
    "posted_date": "2024-01-25T09:00:00Z",
    "currency_id": "123456",
    "memo": "Example Memo",
    "status": "Example Status",
    "bill_ids": [
      "123456"
    ],
    "updated_at": "2024-01-25T09:00:00Z",
    "tax_amount": 100,
    "line_items": [
      {
        "rootfi_id": 157,
        "platform_id": "123456",
        "line_item_type": "BILL_CREDIT_NOTES",
        "line_item_type_id": "123456",
        "tracking_category_ids": [
          "123456"
        ],
        "project_id": "123456",
        "item_id": "123456",
        "tax_id": "123456",
        "account_id": "123456",
        "description": "This is a description",
        "quantity": 1,
        "unit_amount": 100,
        "total_amount": 100,
        "sub_total": 100,
        "tax_amount": 100,
        "discount_amount": 100,
        "updated_at": "2024-01-22T05:07:31.000Z"
      }
    ]
  }
}
'
{
  "data": {
    "rootfi_id": 123,
    "rootfi_deleted_at": null,
    "rootfi_created_at": "2024-01-25T09:00:00Z",
    "rootfi_updated_at": "2024-01-25T09:00:00Z",
    "rootfi_company_id": 456,
    "platform_id": "123456_1",
    "contact_id": "123456",
    "document_number": "123456",
    "total_amount": 1000,
    "remaining_credit": 1000,
    "posted_date": "2024-01-25T09:00:00Z",
    "currency_id": "123456",
    "memo": "Example Memo",
    "status": "Example Status",
    "bill_ids": [
      "123456"
    ],
    "updated_at": "2024-01-25T09:00:00Z",
    "tax_amount": 100,
    "line_items": [
      {
        "rootfi_id": 157,
        "platform_id": "123456",
        "line_item_type": "BILL_CREDIT_NOTES",
        "line_item_type_id": "123456",
        "tracking_category_ids": [
          "123456"
        ],
        "project_id": "123456",
        "item_id": "123456",
        "tax_id": "123456",
        "account_id": "123456",
        "description": "This is a description",
        "quantity": 1,
        "unit_amount": 100,
        "total_amount": 100,
        "sub_total": 100,
        "tax_amount": 100,
        "discount_amount": 100,
        "updated_at": "2024-01-22T05:07:31.000Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

A Bill Credit Note is a financial transaction representing a reduction that can be applied against one or multiple bills issued to Vendors.

Additional Required Fields

To successfully create a bill credit note, certain fields must be included in the raw_data object of the request body. The required fields are as follows:
IntegrationFieldDescription
FRESH_BOOKScurrency_rateThe exchange rate between the currency of the bill credit note and the base currency of the company.
MYOB_BUSINESStax_codeThe tax code to which the bill credit note belongs.
SAGE_CLOUD_ACCOUNTINGcurrency_rateThe exchange rate to be used for the bill credit note.

Authorizations

api_key
string
header
required

Path Parameters

company_id
integer
required

RootFi company ID for the company connection to read or write.

Query Parameters

run_async
boolean
default:false

When true, the write runs asynchronously and returns only a sync_id. Required when data contains two or more records. Optional for single-record writes.

Body

application/json
data
accountingBillCreditNoteFields · object
required

Single record for synchronous writes (default). For two or more records, pass an array and set query parameter run_async=true.

Response

data
accountingBillCreditNoteObject · object

The data of the created bill credit note

sync_id
string | null

The sync id of the request